TaskId:
  type: string
  description: ID задачи
  example: '65b549c04aa68987a3baba40'
TaskType:
  type: string
  description: Тип задачи
  example: 'book'
  enum:
    - book
    - fitness
    - video
    - telegram
    - film
TaskTitle:
  type: string
  description: Заголовок задачи
  example: 'Сделать 10 приседаний'
TaskDescription:
  type: string
  description: Описание задачи
  example: 'Прочитать первую главу книги за 3 часа'
TaskAmount:
  type: number
  description: Сумма вознаграждения за выполнение задачи
  example: 450
TaskStatus:
  type: string
  description: Статус задачи
  example: 'available'
  enum:
    - available
    - done
    - paused
    - progress
TaskDates:
  type: array
  description: Даты таймера
  example: [ { start: '2024-02-02T21:43:13.056Z', end: '2024-02-02T21:43:13.056Z' } ]
  items:
    type: object
    required:
      - start
      - end
    properties:
      start:
        type: string
        format: date
        description: Начало таймера
      end:
        oneOf:
          - type: string
          - type: null
        format: date
        description: Конец таймера
TaskAvailableDate:
  type: string
  format: date
  description: Дата показа задачи пользователю
  example: '2024-02-02T21:43:13.056Z'
TaskRelatedId:
  type: string
  description: ID связанной задачи
  example: 65b549c04aa68987a3baba40
TaskModel:
  type: object
  required:
    - id
    - type
    - title
    - description
    - amount
    - status
  properties:
    id:
      $ref: '#/TaskId'
    type:
      $ref: '#/TaskType'
    title:
      $ref: '#/TaskTitle'
    description:
      $ref: '#/TaskDescription'
    amount:
      $ref: '#/TaskAmount'
    status:
      $ref: '#/TaskStatus'
    dates:
      $ref: '#/TaskDates'
    taskAvailableDate:
      $ref: '#/TaskAvailableDate'
    relatedTaskId:
      $ref: '#/TaskRelatedId'
